# Asternote パッケージ

このパッケージは，角括弧囲い・アスタリスク付きの注釈記号を出力することができます。


## 前提条件

+ TeX format: LaTeX2e
+ TeX engine: pTeX, upTeX

単位 zw を用いていますので，pTeX 系列でのみ使用できます。


## インストール

asternote.sty を $TEXMF/tex/latex/asternote （TeXが見つけられる場所）に置いてください。


## 使用方法

### \setasternotenoindent \setasternoteindent

注釈記号に対して，段落初めの字下げをする否かを決めます。既定は \setasternotenoindent です。text と superscript で括弧を半角とみなすか全角とみなすかが異なります。


### \setasternotetext \setasternotesuperscript

注釈記号に対して，本文と同じ大きさで書かれるか上付き文字で書かれるかを決めます。既定は \setasternotesuperscript です。


### \setasterreftext \setasterrefsuperscript

注釈参照に対して，本文と同じ大きさで書かれるか上付き文字で書かれるかを決めます。既定は \setasterreftext です。


### \setasternumbertext \asternumbersetsuperscript

手動の注釈記号に対して，本文と同じ大きさで書かれるか上付き文字で書かれるかを決めます。既定は \setasternumbertext です。


### \asternotereset

注釈記号の番号を 1 に戻します。


### \asternote{<LABEL>} \asternotetext{<LABEL>} \asternotesuperscript{<LABEL>}

注釈記号を置きます。本文と同じ大きさで書くこと，上付き文字で書くことを手動で指定することができます。


### \asterref{<LABEL>} \asterreftext{<LABEL>} \asterrefsuperscript{<LABEL>}

注釈参照を置きます。本文と同じ大きさで書くこと，上付き文字で書くことを手動で指定することができます。


### \asternumber{<LABEL>} \asternumbertext{<LABEL>} \asternumbersuperscript{<LABEL>}

手動の注釈記号を置きます。本文と同じ大きさで書くこと，上付き文字で書くことを手動で指定することができます。


## ライセンス

このパッケージは[MITライセンス](https://ctan.org/license/mit)のもとで配布しています。


## 更新履歴

+ Version 1.0 2022-06-28
    + The first public version.


---

Yukoh KUSAKABE (screen-name) at [metaphysica.info](https://www.metaphysica.info/)